﻿Public Class frmmain


    Public Sub frmmain_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        con.Open()
        Try
            sql = "Select OWNERNUMBER, FULLNAME, OWNERTYPE, CONTACTNUMBER, ADDRESS, NUMBEROFVEHICLES, GENDER, EMAIL FROM tblownerinformation"

            cmd.Connection = con
            cmd.CommandText = sql

            dt = New DataTable

            da.SelectCommand = cmd
            da.Fill(dt)

            dgvownerinformation.DataSource = dt

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

        con.Close()
    End Sub

    Public Sub btnlogout_Click(sender As Object, e As EventArgs) Handles btnlogout.Click
        frmlogin.txtpassword.Clear()
        frmlogin.txtusername.Items.Clear()
        con.Open()

        sql = "Select DISTINCT FULLNAME FROM tblusers"
        cmd.Connection = con
        cmd.CommandText = sql
        dr = cmd.ExecuteReader
        While dr.Read
            frmlogin.txtusername.Items.Add(dr("FULLNAME"))
        End While


        con.Close()
        Me.Close()
        frmlogin.Show()
    End Sub

    Private Sub btnexit_Click(sender As Object, e As EventArgs) Handles btnexit.Click
        Application.Exit()
    End Sub

    Private Sub dgvownerinformation_DataError(sender As Object, e As DataGridViewDataErrorEventArgs) Handles dgvownerinformation.DataError
        MessageBox.Show(e.Exception.Message)
    End Sub

    Private Sub ownerinformation_DataSourceChanged(sender As Object, e As EventArgs) Handles dgvownerinformation.DataSourceChanged
        dgvownerinformation.Columns("OWNERNUMBER").Visible = False
        dgvownerinformation.Columns("NUMBEROFVEHICLES").Visible = False
    End Sub

    Private Sub txtsearchowner_TextChanged(sender As Object, e As EventArgs) Handles txtsearchowner.TextChanged
        Try
            con.Open()
            dt = New DataTable
            With cmd
                .Connection = con
                .CommandText = "Select OWNERNUMBER, FULLNAME, OWNERTYPE, CONTACTNUMBER, ADDRESS, NUMBEROFVEHICLES, GENDER, EMAIL FROM tblownerinformation WHERE FULLNAME LIKE '" & txtsearchowner.Text & "%'"
            End With

            da.SelectCommand = cmd

            da.Fill(dt)

            dgvownerinformation.DataSource = dt

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
        da.Dispose()
        con.Close()
    End Sub

    Public Sub dgvownerinformation_CellDoubleClick(sender As Object, e As DataGridViewCellEventArgs) Handles dgvownerinformation.CellDoubleClick
        Dim arrImage() As Byte

        OwnerId = dgvownerinformation.CurrentRow.Cells("OWNERNUMBER").Value
        frmownerinformation.txtoiownername.Text = dgvownerinformation.CurrentRow.Cells("FULLNAME").Value
        frmownerinformation.txtoiaddress.Text = dgvownerinformation.CurrentRow.Cells("ADDRESS").Value
        frmownerinformation.cboigender.Text = dgvownerinformation.CurrentRow.Cells("GENDER").Value
        frmownerinformation.txtoicontactnumber.Text = dgvownerinformation.CurrentRow.Cells("CONTACTNUMBER").Value
        frmownerinformation.txtoiownertype.Text = dgvownerinformation.CurrentRow.Cells("OWNERTYPE").Value
        frmownerinformation.txtoiemail.Text = dgvownerinformation.CurrentRow.Cells("EMAIL").Value

        Try
            con.Open()
            sql = "SELECT DISPLAYPROFILE FROM tblownerinformation WHERE OWNERNUMBER = " & OwnerId

            Dim imgdt As New DataTable
            With cmd
                .Connection = con
                .CommandText = sql
            End With
            With da
                .SelectCommand = cmd
                .Fill(imgdt)
            End With

            arrImage = imgdt.Rows(0).Item("DISPLAYPROFILE")
            con.Close()

            Using Mstream As New IO.MemoryStream(arrImage)
                Dim Img As New Bitmap(Image.FromStream(Mstream))
                frmownerinformation.pbdisplayprofile.Image = Img
            End Using
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

        frmownerinformation.ShowDialog()
    End Sub


    Private Sub btnaddowner_Click(sender As Object, e As EventArgs) Handles btnaddowner.Click
        frmaddowner.ShowDialog()
    End Sub

    Private Sub btncashflow_Click(sender As Object, e As EventArgs) Handles btncashflow.Click
        frmcashflow.ShowDialog()
    End Sub

    Private Sub btnstickerinformation_Click(sender As Object, e As EventArgs) Handles btnstickerinformation.Click
        frmstickerinformationvb.ShowDialog()
    End Sub

    Private Sub btncarinformation_Click(sender As Object, e As EventArgs) Handles btncarinformation.Click
        frmupdatecar.ShowDialog()
    End Sub

    Private Sub btnaddcar_Click(sender As Object, e As EventArgs) Handles btnaddcar.Click
        mainformaddcar.ShowDialog()
    End Sub

    Private Sub btnaddemployee_Click(sender As Object, e As EventArgs) Handles btnaddemployee.Click
        frmaddemployee.ShowDialog()
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        frmunassignedcarinformation.ShowDialog()
    End Sub

    Private Sub btnmanageuseracounts_Click(sender As Object, e As EventArgs) Handles btnmanageuseracounts.Click
        frmmanageuseraccounts.ShowDialog()
    End Sub

    Private Sub btnclear_Click(sender As Object, e As EventArgs) Handles btnclear.Click
        txtsearchowner.Clear()
    End Sub

End Class